Package pyamf :: Package remoting :: Class Envelope |
[hide private]
[frames] | no frames]

# Class Envelope

source code

I wrap an entire request, encapsulating headers and bodies.

There can be more than one request in a single transaction.

Instance Methods | [hide private]
__init__(self, amfVersion=None, clientType=None) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
__repr__(self) repr(x) | source code
__setitem__(self, name, value) | source code
__getitem__(self, name) | source code
__iter__(self) | source code
__len__(self) | source code
iteritems(self) | source code
keys(self) | source code
items(self) | source code
__contains__(self, name) | source code
__eq__(self, other) | source code
Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__str__`

Instance Variables | [hide private]
`int` or `None` | amfVersion AMF encoding version.
`list` containing tuples of the key of the request and the instance of the Message | bodies A list of requests/response messages
`int` or `None` | clientType Client type.
HeaderCollection | headers AMF headers, a list of name, value pairs.

Properties | [hide private]
Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, amfVersion=None, clientType=None) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)

### __repr__(self) (Representation operator) | source code
repr(x) Overrides: object.__repr__ (inherited documentation)

Instance Variable Details | [hide private]

### amfVersion AMF encoding version. See pyamf.ENCODING_TYPES Type: `int` or `None`

### clientType Client type. See ClientTypes Type: `int` or `None`

### headers AMF headers, a list of name, value pairs. Global to each request. Type: HeaderCollection